Bug 509900 - nouveau driver garbled dual screen display
nouveau driver garbled dual screen display
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 14:36 EDT by Sander Hoentjen
Modified: 2010-04-24 09:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-24 09:55:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.01 KB, text/plain)
2009-07-06 14:36 EDT, Sander Hoentjen
no flags Details
Xorg.0.log.fail (81.60 KB, text/plain)
2009-07-06 18:39 EDT, Sander Hoentjen
no flags Details
Xorg.0.log.old_kernel_old_dri_but_looks_ok (32.88 KB, text/plain)
2009-07-06 18:42 EDT, Sander Hoentjen
no flags Details
Xorg.0.log failing to unclone (102.97 KB, text/plain)
2009-10-12 02:15 EDT, Sander Hoentjen
no flags Details
monitors.xml that did work once with this configuration (936 bytes, application/octet-stream)
2009-10-12 02:16 EDT, Sander Hoentjen
no flags Details
Xorg.0.log succeeding to unclone (164.81 KB, text/plain)
2009-10-12 13:21 EDT, Sander Hoentjen
no flags Details
Xorg.0.log succeeding to unclone with new kernel (109.58 KB, text/plain)
2009-10-18 06:06 EDT, Sander Hoentjen
no flags Details

  None (edit)
Description Sander Hoentjen 2009-07-06 14:36:07 EDT
Created attachment 350658 [details]
xorg.conf

Description of problem:
When using the nouveau driver the display looks garbled.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. Boot a fedora 11 kernel with nouveau driver enabled
2. start x (init 5)
3.
  
Actual results:
garbled display

Expected results:
normal display

Additional info:
http://www.smolts.org/client/show/pub_366ec5c0-c841-4163-b1da-4366151c663d

I have a normal display when I use an older (F10 kernel)
If you require more info please let me know.
Comment 1 Ben Skeggs 2009-07-06 17:55:10 EDT
Your /var/log/Xorg.0.log would also prove useful..  Can you attach it please?
Comment 2 Sander Hoentjen 2009-07-06 18:39:56 EDT
Created attachment 350699 [details]
Xorg.0.log.fail
Comment 3 Sander Hoentjen 2009-07-06 18:42:47 EDT
Created attachment 350700 [details]
Xorg.0.log.old_kernel_old_dri_but_looks_ok
Comment 4 Sander Hoentjen 2009-07-08 14:23:11 EDT
When I add the option NoAccel to xorg.conf the display looks ok, after less then a minute my system hangs though. I tried a couple of times, one of these I see the folowwing line in /var/log/messages:
Jul  8 20:06:54 peecee kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000001
Not sure if that is related though.
For now I am back to the F10 kernel.
Comment 5 Adam Williamson 2009-07-20 20:46:02 EDT
Does this happen from the earliest F11 kernel (the one that comes with the release), or only with later (updates) kernels?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Sander Hoentjen 2009-07-21 01:30:21 EDT
It happens with the earliest kernel. It also happened with every kernel when F11 was still rawhide (at least the ones I tried).
Comment 7 Sander Hoentjen 2009-10-12 02:14:04 EDT
With latest rawhide i can get successfully into gdm as long as i use nomodeset. I couldn't get into my desktop until i deleted .config/monitors.xml
Now i can use my desktop in clone mode. One time using gnome-display-properties i managed to change it to dual screen, but after a reboot i couldn't get into my desktop again (until i deleted .config/monitors.xml).
Now every time i use gnome-display-properties to 'unclone' i get thrown back to gdm because X restarts.
I will attach my .config/monitors.xml that worked once, and my current Xorg.log. (unfortunately I have lost the one of the time it was working.
Comment 8 Sander Hoentjen 2009-10-12 02:15:23 EDT
Created attachment 364427 [details]
Xorg.0.log failing to unclone
Comment 9 Sander Hoentjen 2009-10-12 02:16:34 EDT
Created attachment 364428 [details]
monitors.xml that did work once with this configuration
Comment 10 Sander Hoentjen 2009-10-12 13:20:30 EDT
Now after numerous reboots it works again for this boot, I will attach my Xorg.0.log
Comment 11 Sander Hoentjen 2009-10-12 13:21:29 EDT
Created attachment 364491 [details]
Xorg.0.log succeeding to unclone
Comment 12 Sander Hoentjen 2009-10-18 06:06:12 EDT
Created attachment 365151 [details]
Xorg.0.log succeeding to unclone with new kernel

I updated the nouveau driver to xorg-x11-drv-nouveau-0.0.15-14.20091008git3f020b0.fc12.x86_64, had the same problem, then updated the kernel to kernel-2.6.31.4-84.fc12.x86_64 and now it seems to work for me. Didn't reboot yet because I like having dual screen and am a bit afraid to try but if it fails after a reboot I will report here. Is still have to use nomodeset though.
Comment 13 Adam Williamson 2009-10-18 08:36:20 EDT
"Didn't reboot yet because I like having dual screen and am a bit afraid to try but if it fails after a reboot I will report here"

That's a bit confusing, because upgrading the kernel has no effect at all unless you reboot after doing it.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Sander Hoentjen 2009-10-18 08:47:27 EDT
Sorry to be not so clear: To be more clear:
I
-updated xorg-x11-drv-nouveau-0.0.15-14.20091008git3f020b0.fc12.x86_64
-rebooted
same problem
-updated kernel-2.6.31.4-84.fc12.x86_64
-rebooted
looks fixed, but didn't reboot again to double check (in the past on guestimate 1 out of 20 boots would be ok)
Comment 15 Sander Hoentjen 2009-10-20 02:01:29 EDT
I just rebooted, and unfortunately the same problem still exists. I cannot get dual screen. Is there any logging that might be useful to you guys?

In dmesg is see this:
[TTM] Zone  kernel: Available graphics memory: 1870282 kiB.
[drm] nouveau 0000:00:05.0: Allocating FIFO number 0
[drm] nouveau 0000:00:05.0: nouveau_channel_alloc: initialised FIFO 0
[drm] nouveau 0000:00:05.0: Allocating FIFO number 1
[drm] nouveau 0000:00:05.0: nouveau_channel_alloc: initialised FIFO 1
[drm] nouveau 0000:00:05.0: PFIFO_DMA_PUSHER - Ch 1
[drm] nouveau 0000:00:05.0: nouveau_channel_free: freeing fifo 1
[drm] nouveau 0000:00:05.0: Failed to idle channel 1.
[drm] nouveau 0000:00:05.0: nouveau_channel_free: freeing fifo 0
[TTM] Zone  kernel: Used memory at exit: 0 kiB.
[TTM] Zone  kernel: Available graphics memory: 1870282 kiB.
[drm] nouveau 0000:00:05.0: Allocating FIFO number 0
[drm] nouveau 0000:00:05.0: nouveau_channel_alloc: initialised FIFO 0
[drm] nouveau 0000:00:05.0: Allocating FIFO number 1
[drm] nouveau 0000:00:05.0: nouveau_channel_alloc: initialised FIFO 1
[drm] nouveau 0000:00:05.0: nouveau_channel_free: freeing fifo 1
[drm] nouveau 0000:00:05.0: Failed to idle channel 1.
[drm] nouveau 0000:00:05.0: nouveau_channel_free: freeing fifo 0
[TTM] Zone  kernel: Used memory at exit: 0 kiB.
[TTM] Zone  kernel: Available graphics memory: 1870282 kiB.
[drm] nouveau 0000:00:05.0: Allocating FIFO number 0
[drm] nouveau 0000:00:05.0: nouveau_channel_alloc: initialised FIFO 0
[drm] nouveau 0000:00:05.0: Allocating FIFO number 1
[drm] nouveau 0000:00:05.0: nouveau_channel_alloc: initialised FIFO 1
[drm] nouveau 0000:00:05.0: nouveau_channel_free: freeing fifo 1
Comment 16 Adam Williamson 2009-10-20 16:55:22 EDT
so it works very occasionally but usually fails...hm. I can't think of any more info to ask for, over to Ben.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Matěj Cepl 2009-11-05 13:34:17 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 18 Sander Hoentjen 2009-11-07 11:47:53 EST
(In reply to comment #17)

Unfortunately the same problems still remain.
Comment 19 Sander Hoentjen 2010-04-24 09:55:31 EDT
this is fixed in F-13

Note You need to log in before you can comment on or make changes to this bug.